libzypp 17.37.10

Utf8.h File Reference
`#include <cstdlib>`
`#include <cstring>`
`#include <wchar.h>`
`#include <iostream>`
`#include <string>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | ztui::utf8::string
| Simple utf8 string. More...

## Namespaces
namespace | ztui
namespace | ztui::utf8

## Functions
string | ztui::utf8::operator+ (const string &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | ztui::utf8::operator+ (const std::string &lhs, const string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | ztui::utf8::operator+ (const string &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | ztui::utf8::operator+ (const char *lhs, const string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.